local _logger = require("logging")
local _core = require("core")
local _network = require("network")

_logger.info("■■■■■■■■■■  RFXtrx Plugin starting up...  ■■■■■■■■■■")
_network.subscribe("HUB:RFXtrx.Transceiver_plugin/handlers/events_handling.lua")
-- Establish communication with the transceiver
local handle = _network.connect( { ip = "192.168.68.70", port = "10001", connection_type = "TCP" } )
if not handle then
	_logger.error( "failed to connect" )
	return
end
